Bug 19365 - [XQuery30] add statically known decimal formats to C.1 Module Static Context
Summary: [XQuery30] add statically known decimal formats to C.1 Module Static Context
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3.0 (show other bugs)
Version: Last Call drafts
Hardware: PC Windows XP
: P2 normal
Target Milestone: ---
Assignee: Jonathan Robie
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-08 20:28 UTC by Andrew Eisenberg
Modified: 2013-07-01 22:21 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Eisenberg 2012-10-08 20:28:32 UTC
Statically known decimal formats are defined in 2.1.1 Static Context. A row should be added to the table in C.1 Module Static Context, defining the initialization and alteration of this component.
Comment 1 Jonathan Robie 2012-10-30 12:58:31 UTC
Here's my first shot.

* Default initial value 	

output:method = "xml";

* Can be overwritten or augmented by implementation?

Yes

* Can be overwritten or augmented by prolog?

Yes, using 2.2.4 Output Declarations

* Can be overwritten or augmented by expressions?

No	

* Consistency rules

Must conform to a valid set of <termref>output declarations</termref>
Comment 2 Michael Kay 2012-10-30 13:05:21 UTC
>output:method = "xml";

Eh? statically known decimal formats have nothing to do with serialization.
Comment 3 Jonathan Robie 2012-10-30 14:49:22 UTC
Here's my second shot.

* Default initial value 	

Specified in http://www.w3.org/TR/xquery-30/#dt-static-decimal-formats

* Can be overwritten or augmented by implementation?

Yes

* Can be overwritten or augmented by prolog?

Yes, Decimal Format Declarations

* Can be overwritten or augmented by expressions?

No	

* Consistency rules

See error conditions in  http://www.w3.org/TR/xquery-30/#dt-static-decimal-formats
Comment 4 Jonathan Robie 2012-10-30 16:13:46 UTC
The Working Group has adopted the resolution in comment #3.
Comment 5 Michael Dyck 2012-12-11 21:48:41 UTC
You added the row to the table in C.2 (dynamic context), should have added it to C.1 (static context).

(Also, note that in rev 1.53 of src/back-matter.xml, I reordered the rows of the tables in appendix C so that components are grouped by overwriteability: first the ones that can be overwritten/augmented by expressions, then the ones that don't vary at the expression level but can be overwritten/augmented by (decls in) prologs, and then the ones that can't be overwritten in either. [I should have put a comment to that effect in the XML source, sorry.] Anyhow, statically known decimal formats should be in the second group.)
Comment 6 Jonathan Robie 2013-01-07 23:24:22 UTC
Fixed in current build.
Comment 7 Andrew Eisenberg 2013-01-08 14:03:02 UTC
Looking at the latest draft, saying "yes" to "Can be overwritten or augmented by implementation?" seems wrong. Perhaps statically known collations and default collation could act as our guide.


Default decimal format

* Default initial value 	

Implementation-dependent

* Can be overwritten or augmented by implementation?

No

* Can be overwritten or augmented by prolog?

No

* Can be overwritten or augmented by expressions?

No	

* Consistency rules

None.


Statically known decimal formats

* Default initial value 	

only the default decimal format

* Can be overwritten or augmented by implementation?

no

* Can be overwritten or augmented by prolog?

augmentable, by Decimal Format Declarations

* Can be overwritten or augmented by expressions?

No	

* Consistency rules

Each URI uniquely identifies a decimal format.
Comment 8 Andrew Eisenberg 2013-01-10 02:09:56 UTC
There seemed to be sentiment at the joint meeting on Tuesday to stay with one row in C.1 Static Context Components. Better understanding decimal formats, let me suggest:


Statically known decimal formats

* Default initial value 	

the default (unnamed) decimal format, which has an implementation-dependent value

* Can be overwritten or augmented by implementation?

augmentable

* Can be overwritten or augmented by prolog?

augmentable, by Decimal Format Declarations

* Can be overwritten or augmented by expressions?

No	

* Consistency rules

Each URI uniquely identifies a decimal format.
Comment 9 Michael Kay 2013-01-10 08:25:28 UTC
One reservation - decimal format names are QNames, not URIs.
Comment 10 Jonathan Robie 2013-01-29 17:05:45 UTC
In today's telcon we agreed to adopt Comment #8 modulo Comment #9.